﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class WebUserControl : System.Web.UI.UserControl
{
    public RadGrid Grid
    {
        get
        {
            return RadGrid1;
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        
    }   
    public void CreateGrid()
    {
        RadGrid1.DataSourceID = "AccessDataSource1";
        RadGrid1.MasterTableView.DataKeyNames = new string[] { "CustomerID" };

        RadGrid1.Width = Unit.Percentage(98);
        RadGrid1.PageSize = 5;
        RadGrid1.AllowPaging = true;
        RadGrid1.PagerStyle.Mode = GridPagerMode.NextPrevAndNumeric;
        RadGrid1.AutoGenerateColumns = false;
        RadGrid1.Skin = "Web20";

        RadGrid1.ClientSettings.Scrolling.AllowScroll = true;
        RadGrid1.ClientSettings.Scrolling.UseStaticHeaders = true;

        RadGrid1.MasterTableView.TableLayout = GridTableLayout.Fixed;

        RadGrid1.MasterTableView.PageSize = 15;
        RadGrid1.MasterTableView.Width = Unit.Percentage(100);
        GridBoundColumn boundColumn;
        boundColumn = new GridBoundColumn();
        RadGrid1.MasterTableView.Columns.Add(boundColumn);
        boundColumn.DataField = "CustomerID";
        boundColumn.HeaderText = "CustomerID";
        boundColumn.UniqueName = "CustomerID";
        boundColumn = new GridBoundColumn();
        RadGrid1.MasterTableView.Columns.Add(boundColumn);
        boundColumn.DataField = "ContactName";
        boundColumn.HeaderText = "Contact Name";
        boundColumn = new GridBoundColumn();
        RadGrid1.MasterTableView.Columns.Add(boundColumn);
        boundColumn.DataField = "CompanyName";
        boundColumn.HeaderText = "Company Name";
        boundColumn.UniqueName = "CompanyName";
        boundColumn.Display = false;
    }
}
